eoBitPrev(3)

NAME
eoBitPrev - eoBitPrev --> previous value when bitstring treated as binary value

SYNOPSIS

#include <ga/eoBitOp.h>

Inherits eoMonOp< Chrom >.

  Public Member Functions
virtual std::string className () const
The class name.
bool operator() (Chrom &chrom)
Change the bit std::string x to be x-1.

Detailed Description

  template<class Chrom> class eoBitPrev< Chrom >
eoBitPrev --> previous value when bitstring treated as binary value

Definition at line 208 of file eoBitOp.h.

Member Function Documentation

  template<class Chrom> bool eoBitPrev< Chrom >::operator() (Chrom & chrom) [inline, virtual]

Change the bit std::string x to be x-1.

Parameters:
    chrom The chromosome to be substracted one.

Implements eoUF< Chrom &, bool >.

Definition at line 218 of file eoBitOp.h.

Author

Generated automatically by Doxygen for EO from the source code.